--- title: "getRootPassword" slug: "compute-vserver-server-getrootpassword" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-getrootpassword" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRootPassword Available in VPC Get the admin password using the authentication key of a server instance (VM). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getRootPassword | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `privateKey` | String | Required | Authentication key (private key) - Create it or enter the content of the PEM imported from outside. - Line breaks are represented by `\n`. - URL encoding is required when calling in the GET method. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getRootPassword ?regionCode=KR &serverInstanceNo=***8773 &privateKey=-----BEGIN RSA PRIVATE KEY-----\n{Private Key}\n-----END RSA PRIVATE KEY-----\n &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getRootPasswordResponse` | Object | - | Response result | | `getRootPasswordResponse.rootPassword` | String | - | Root account password - See [RootPassword](/docs/en/common-vapidatatype-rootpassword). | | `getRootPasswordResponse.requestId` | String | - | ID for the request - UUID format | | `getRootPasswordResponse.returnCode` | String | - | Response code | | `getRootPasswordResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getRootPasswordResponse": { "rootPassword": "A9@8qc******", "requestId": "534a37d8-325b-4e93-b318-829326f3fe03", "returnCode": "0", "returnMessage": "success" } } ```